
Infrastructure - Task #3446

Story # 3431 (Closed): Should have a general search/query method in D1Client for searching the CN

build CN solr query method that does the url escaping

2013-01-02 23:29 - Rob Nahf

Status: Closed Start date: 2013-01-02

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_client_r Estimated time: 0.00 hour

Target version: Sprint-2012.50-Block.6.4   

Milestone: None Story Points:  

Product Version: *   

Description

since this is a high-level component, we want the method to provide the appropriate solr escaping of the query string

confirm that Solr doesn't change the set of characters needing to be escaped wrt/ Lucene

http://lucene.apache.org/core/old_versioned_docs/versions/2_9_1/queryparsersyntax.html#Escaping Special Characters

from epad:

proper encoding for Solr is an outstanding issue (Lucene-based escaping)

chars to escape: + - & | ! ( ) { } [ ] ^ " ~ * ? : \

escape special chars with: \

only query values should be escaped

History

#1 - 2013-01-02 23:46 - Rob Nahf

- Description updated

- Assignee set to Rob Nahf

- Category set to d1_client_r

#2 - 2013-01-09 17:11 - Rob Nahf

- Status changed from New to In Progress

#3 - 2013-01-10 22:27 - Rob Nahf

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 0 to 100

completed implementation of 2 methods, one that takes a named list, of query key-value pairs, and another that takes a pre-encoded string.
